ApiMCP Servers

Get an MCP server

GET
/mcp-servers/{id}

Retrieve one MCP server. Header values are never returned; header_names shows which are set.

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard.

In: header

Path Parameters

id*string

MCP server UUID

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/mcp-servers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "mcp_server": {
    "id": "2f1c9a7e-4b3d-4e8a-9c21-6d5f0b7a8e13",
    "name": "Mailbox",
    "url": "https://mcp.example.com/mcp",
    "transport": "streamable_http",
    "header_names": [
      "Authorization"
    ],
    "timeout_seconds": 20,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "error": "Invalid API key",
  "message": "string"
}
{
  "error": "Invalid API key",
  "message": "string"
}